org.codehaus.plexus.util.cli

## Class WriterStreamConsumer

- java.lang.Object
- - org.codehaus.plexus.util.cli.WriterStreamConsumer

All Implemented Interfaces:
  StreamConsumer

    public class WriterStreamConsumer
    extends Object
    implements StreamConsumer

Version:
  $Id: WriterStreamConsumer.java 8010 2009-01-07 12:59:50Z vsiveton $
Author:
  Jason van Zyl

### Constructor Summary

Constructors
Constructor and Description
`WriterStreamConsumer(Writer writer)`

### Method Summary

Methods
`void` `consumeLine(String line)` Called when the StreamPumper pumps a line from the Stream.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WriterStreamConsumer

    public WriterStreamConsumer(Writer writer)

### Method Detail

#### consumeLine

    public void consumeLine(String line)

Description copied from interface: `StreamConsumer`
Called when the StreamPumper pumps a line from the Stream.

Specified by:
  `consumeLine` in interface `StreamConsumer`